Bug 176486 - [patch] x11/idesk: trim header, adopt optionsNG, cleanup
Summary: [patch] x11/idesk: trim header, adopt optionsNG, cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 22:20 UTC by Jason Helfman
Modified: 2013-03-13 04:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.19 KB, patch)
2013-02-27 22:20 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2013-02-27 22:20:00 UTC
trim historical header
adoption of optionsNG
drop default WRKSRC assignment
add pkgconfig (build) requirement
trim abi versions for lib_depends (portlint)
drop pkg-plist in favor of plist_files and PORTDOCS
shift pkgmessage display into do-install target

buildlogs -> http://redports.org/buildarchive/20130227214801-47548/
Comment 1 Edwin Groothuis freebsd_committer 2013-02-27 22:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jason Helfman freebsd_committer 2013-03-13 03:15:11 UTC
Responsible Changed
From-To: acm->jgh

maintainer timeout, 14days
Comment 3 dfilter service freebsd_committer 2013-03-13 04:29:57 UTC
Author: jgh
Date: Wed Mar 13 04:29:50 2013
New Revision: 314024
URL: http://svnweb.freebsd.org/changeset/ports/314024

Log:
  - trim historical header
  - adoption of optionsNG
  - standardize of shape description for options
  - drop default WRKSRC assignment
  - add pkgconfig (build) requirement
  - trim abi versions for lib_depends (portlint)
  - drop pkg-plist in favor of plist_files and PORTDOCS
  - shift pkgmessage display into do-install target
  
  PR:		176486
  Submitted by:	jgh@
  Approved by:	acm@, maintainer timeout (14 days)

Deleted:
  head/x11/idesk/pkg-plist
Modified:
  head/x11/idesk/Makefile

Modified: head/x11/idesk/Makefile
==============================================================================
--- head/x11/idesk/Makefile	Wed Mar 13 04:23:41 2013	(r314023)
+++ head/x11/idesk/Makefile	Wed Mar 13 04:29:50 2013	(r314024)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	idesk
-# Date created:		16 February 2003
-# Whom:			Sascha Holzleiter <sascha@root-login.org>
-#
+# Created by: Sascha Holzleiter <sascha@root-login.org>
 # $FreeBSD$
-#
 
 PORTNAME=	idesk
 PORTVERSION=	0.7.5
@@ -14,43 +10,47 @@ MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Place launch icons and background directly on your desktop
 
-LIB_DEPENDS=	Xft.2:${PORTSDIR}/x11-fonts/libXft
+LIB_DEPENDS=	Xft:${PORTSDIR}/x11-fonts/libXft
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_EFL=	imlib2
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	autoconf
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+USE_PKGCONFIG=	build
+
+OPTIONS_DEFINE=	SHAPE SN
+SHAPE_DESC=	Support of XShape extension
+SN_DESC=	Startup notification support
+OPTIONS_DEFAULT=	SHAPE
+
+.include <bsd.port.pre.mk>
 
 CXXFLAGS+=	`imlib2-config --cflags` `freetype-config --cflags`
 MAKE_ARGS=	cc="${CXX}" cflags="${CXXFLAGS}"
 SUB_FILES=	pkg-message
+PLIST_FILES=	bin/${PORTNAME}
+PORTDOCS=	README
 
-OPTIONS=	SHAPE	"Enable support of the XShape extension"	on \
-		SN	"Startup notification support"	off
+.include <bsd.port.options.mk>
 
-.include <bsd.port.pre.mk>
-
-.if !defined(WITHOUT_SHAPE)
+.if ${PORT_OPTIONS:MSHAPE}
 CONFIGURE_ARGS+=	--enable-shape
 .else
 CONFIGURE_ARGS+=	--disable-shape
 .endif
 
-.if defined(WITH_SN)
-LIB_DEPENDS+=	startup-notification-1.0:${PORTSDIR}/x11/startup-notification
+.if ${PORT_OPTIONS:MSN}
+LIB_DEPENDS+=	startup-notification:${PORTSDIR}/x11/startup-notification
 CONFIGURE_ARGS+=	--enable-libsn
 .endif
 
 do-install:
 		${INSTALL_PROGRAM} ${WRKSRC}/src/idesk ${PREFIX}/bin
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 		${MKDIR} ${DOCSDIR}
-		${INSTALL_MAN} ${WRKSRC}/README ${DOCSDIR}
+		${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
-
-post-install:
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2013-03-13 04:30:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!